
Application: gvSIG desktop - gvSIG bugs #5162
Error cuando se aplica geoproceso de "Enlace espacial por inclusión en polígono" guardando en 
disco
11/22/2019 02:17 PM - Mario Carrera

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: Geoprocess
Target version: 2.5.1-3014
Severity: Minor Add-on version:
gvSIG version: 2.5.0 Add-on build:
gvSIG build: 3010 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Cuando se aplica geoproceso de "Enlace espacial por inclusión en polígono" guardando en disco no se crea la capa. Si se guarda en
temporal sí.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5163: Error cuando se ap... Closed 11/22/2019

Associated revisions
Revision 2189 - 03/19/2020 12:09 PM - Joaquín  del Cerro Murciano

refs #5162 añadido en tools NamesTranslator

Revision 1245 - 03/19/2020 02:03 PM - Joaquín  del Cerro Murciano

refs #5162

Revision 403 - 03/19/2020 02:03 PM - Joaquín  del Cerro Murciano

refs #5162

Revision 2194 - 03/20/2020 04:03 PM - Joaquín  del Cerro Murciano

refs #5162

Revision 1251 - 03/26/2020 11:19 AM - Joaquín  del Cerro Murciano

refs  #5162, modificacion para que recorte los nombre de los campos si es necesario

Revision 1252 - 04/07/2020 09:39 PM - Joaquín  del Cerro Murciano
refs #5162

History
#1 - 11/26/2019 09:48 PM - Joaquín  del Cerro Murciano
- Target version set to 2.5.1-3002 (No instala)

#2 - 12/12/2019 09:12 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3002 (No instala) to 2.5.1-3003 (rev. org.gvsig.desktop-2.0.261)

#3 - 12/22/2019 01:32 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3003 (rev. org.gvsig.desktop-2.0.261) to 2.5.1-3004

#4 - 03/04/2020 01:16 PM - Álvaro Anguix
- gvSIG build changed from 2930 to 3010
- File puntos_asesinados.zip added
- File cv.zip added

Me crea capa vacía, lo ponga como temporal o en disco. Añado las dos capas con las que he probado.
- Añado ambas capas
- Lanzo geoproceso
- Capa polígonos: CV
- Capa puntos: asesinados y conteo de cualquier campo
- Crea la capa vacía.

#5 - 03/04/2020 01:16 PM - Álvaro Anguix
- Target version changed from 2.5.1-3004 to 2.5.1-3044

#6 - 03/04/2020 01:16 PM - Álvaro Anguix

Posiblemente relacionado con lo que pasa en 5163

#7 - 03/04/2020 01:17 PM - Álvaro Anguix
- Related to gvSIG bugs #5163: Error cuando se aplica geoproceso de Dispersión de puntos guardando en disco added

#8 - 03/07/2020 05:51 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3044 to 2.5.1-3011

#9 - 03/08/2020 11:11 AM - Joaquín  del Cerro Murciano

Con las correcciones relacionadas con #5163, ya no me crea una capa vacia, sin embargo por la consola me saltan errores y no se si el resultado
final es el esperado.

#10 - 03/11/2020 06:34 PM - Álvaro Anguix
- Target version changed from 2.5.1-3011 to 2.5.1-3044

#11 - 03/18/2020 01:46 PM - Joaquín  del Cerro Murciano

Añado parte de los mensajes que salen por consola:
org.gvsig.fmap.dal.feature.exception.StoreInsertFeatureException: Can't insert feature in store '15845353803710s'.
        at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.insert(DefaultFeatureStore.java:1337)
        at org.gvsig.geoprocess.lib.sextante.dataObjects.FlyrVectIVectorLayer.addFeature(FlyrVectIVectorLayer.java:396)
        at
es.unex.sextante.vectorTools.InPolygonSpatialJoin.InPolygonSpatialJoinAlgorithm.performSpatialJoin(InPolygonSpatialJoinAlgorithm.java:140)
        at es.unex.sextante.vectorTools.InPolygonSpatialJoin.InPolygonSpatialJoinAlgorithm.processAlgorithm(InPolygonSpatialJoinAlgorithm.java:105)
        at es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:238)
        at es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:184)
        at es.unex.sextante.core.ProcessTas
)
        at
es.unex.sextante.vectorTools.InPolygonSpatialJoin.InPolygonSpatialJoinAlgorithm.processAlgorithm(InPolygonSpatialJoinAlgorithm.java:105)
        at es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:238)
        at es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:184)
        at es.unex.sextante.core.ProcessTask.call(ProcessTask.java:59)
        at es.unex.sextante.core.ProcessTask.call(ProcessTask.java:13)
        at java.base/java.util.concurrent.FutureTask.run(FutureTask.java:264)
        at java.base/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1135)
        at java.base/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
        at java.base/java.lang.Thread.run(Thread.java:844)
Caused by: Error executing action in resource 'MultiResource /tmp/tmp-gvsig/15845353803710.shp'.
        at org.gvsig.fmap.dal.resource.spi.MultiResource.execute(MultiResource.java:316)
        at org.gvsig.fmap.dal.store.shp.SHPStoreProvider.append(SHPStoreProvider.java:563)
        at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.insert(DefaultFeatureStore.java:1324)
        ... 11 more
Caused by: org.gvsig.fmap.dal.exception.WriteException: Exception writing 'DbaseFileWriter'.
        at org.gvsig.fmap.dal.store.dbf.utils.DbaseFileWriter.fillBuffer(DbaseFileWriter.java:179)
        at org.gvsig.fmap.dal.store.dbf.utils.DbaseFileWriter.append(DbaseFileWriter.java:136)
        at org.gvsig.fmap.dal.store.dbf.DBFFeatureWriter.append(DBFFeatureWriter.java:100)
        at org.gvsig.fmap.dal.store.shp.SHPFeatureWriter.append(SHPFeatureWriter.java:157)
        at org.gvsig.fmap.dal.store.shp.SHPStoreProvider$4.run(SHPStoreProvider.java:566)
        at org.gvsig.fmap.dal.resource.spi.AbstractResource.performExecution(AbstractResource.java:339)
        at org.gvsig.fmap.dal.resource.spi.MultiResource.execute(MultiResource.java:314)
        ... 13 more
Caused by: org.gvsig.fmap.dal.store.dbf.utils.FieldNameTooLongException: Exception writing 'DBF file'.
        at org.gvsig.fmap.dal.store.dbf.utils.DbaseFileWriter.fillBuffer(DbaseFileWriter.java:169)
        ... 19 more
Caused by: java.lang.Exception: Field name is too long (max 10 char): 'Nombre_COUNT'
        at org.gvsig.fmap.dal.store.dbf.utils.FieldNameTooLongException.<init>(FieldNameTooLongException.java:43)
        ... 20 more

Parece que es un problema con el numero de caracteres de los nombres de campo.

#12 - 03/19/2020 01:32 PM - Joaquín  del Cerro Murciano

Parece que ya funciona... ha sido un comulo de errores:

    -  Problemas al crear los shapes por los cambios en el proveedor de dbf en los valores numericos (len/scale --> precision/scale).
    -  Con las capas cv y puntos_asesinados se acababan creando campos con nombres de mas de 11 caracteres y ahora el proveedor de shape si lo
intentas falla.
    -  El count sobre columnas de tipo string no ha debido de funcionar nunca ya que siempre intenta convertir el valor a double y cuando falla no lleva
la cuenta.
#13 - 03/19/2020 03:08 PM - Joaquín  del Cerro Murciano
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#14 - 03/19/2020 03:09 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3044 to 2.5.1-3013

#15 - 03/26/2020 10:57 AM - Álvaro Anguix
- Status changed from Fixed to New
- File gvSIG.log.3 added
- File gvSIG.log.2 added
- File gvSIG.log.1 added
- File gvSIG.log added

Ahora si ejecuto el geoproceso indicando que el resultado sea una capa temporal aparentemente no hace nada.

Si ejecuto el geoproceso guardando capa en disco, me genera un fichero shp pero no lo carga en la Vista. Si posteriormente le doy a "Añadir capa" y
selecciono ese shapefile resultante, no lo carga y da error.

Adjunto logs.

#16 - 03/26/2020 11:10 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3013 to 2.5.1-3014

#17 - 03/26/2020 11:21 AM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#18 - 04/10/2020 12:32 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
puntos_asesinados.zip 49.9 KB 03/04/2020 Álvaro Anguix
cv.zip 1.8 MB 03/04/2020 Álvaro Anguix
gvSIG.log 18 KB 03/26/2020 Álvaro Anguix
gvSIG.log.1 512 KB 03/26/2020 Álvaro Anguix
gvSIG.log.2 512 KB 03/26/2020 Álvaro Anguix
gvSIG.log.3 512 KB 03/26/2020 Álvaro Anguix
